import { CurrentClientBrowser } from '../../../utils/ClientChecker/types/currentClientBrowser';
import { Checker } from '../../../utils/ClientChecker/types/checker';
export declare class BrowserChecker implements Checker {
    private _current;
    private _current_version;
    private _chromeVersion;
    private _firefoxVersion;
    private _safariVersion;
    private _operaVersion;
    private _edgeVersion;
    private _yandexVersion;
    private _isMiuiBrowser;
    get current(): CurrentClientBrowser;
    get isChrome(): boolean;
    get isChromiumBased(): boolean;
    get isFirefox(): boolean;
    get isSafari(): boolean;
    get isOpera(): boolean;
    get isEdge(): boolean;
    get isYandex(): boolean;
    get isSamsungBrowser(): boolean;
    get currentVersion(): number | undefined;
    get chromeVersion(): number | undefined;
    get firefoxVersion(): number | undefined;
    get safariVersion(): number | undefined;
    get operaVersion(): number | undefined;
    get edgeVersion(): number | undefined;
    get yandexVersion(): number | undefined;
    get isMiuiBrowser(): boolean;
    detect(): void;
    private detectVersion;
    private detectChromeVersion;
    private detectFirefoxVersion;
    private detectSafariVersion;
    private detectOperaVersion;
    private detectEdgeVersion;
    private detectYandexVersion;
}
